# webserver_003.py
#
# Version 0.0.1
# 07.12.2023
# Peter Stöck
#
# Dieses Programm hat folgende Funktionen:
# LED ein- und ausschalten
#

from phew import server, connect_to_wifi
from phew.template import render_template
from machine import Pin


# Konstanten und Variablen
HTDOCS = 'htdocs/'
ip_adresse = None
pin_von_led = 22

SSID = 'Attraktor'
PW = 'blafablafa'

# Led aktivieren

led_pin = Pin(pin_von_led, Pin.OUT)
led_pin.value(0)

# Wlan Verbindung herstellen

ip_adresse = connect_to_wifi(SSID, PW)
print(ip_adresse)


# Webseiten erstellen

@server.route("/led/<led_status>", methods=["GET"])
def led_ctrl(request, led_status):
    if led_status == 'ein':
        led_pin.value(1)
    elif led_status == 'aus':
        led_pin.value(0)
    else:
        return "<h1>Hallo, diese Funktion gibt es nicht!</h1>", 404
    return f"LED wurde {led_status}geschaltet."

@server.catchall()
def catch_all(request):
    return "<h1>Hallo, diese Webseite gibt es nicht!</h1>", 404

# Server starten - nun geht nichts anderes mehr:(

server.run()
